Bug 1869682 (CVE-2019-0233) - CVE-2019-0233 struts2: access permission override when performing a file upload leads to DoS
Summary: CVE-2019-0233 struts2: access permission override when performing a file uplo...
Keywords:
Status: CLOSED WONTFIX
Alias: CVE-2019-0233
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
: 1872550 (view as bug list)
Depends On:
Blocks: 1869453
TreeView+ depends on / blocked
 
Reported: 2020-08-18 13:31 UTC by Guilherme de Almeida Suckevicz
Modified: 2023-12-15 18:54 UTC (History)
61 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-09-02 13:17:54 UTC
Embargoed:


Attachments (Terms of Use)

Description Guilherme de Almeida Suckevicz 2020-08-18 13:31:48 UTC
When a file upload is performed to an Action that exposes the file with a getter, an attacker may manipulate the request such that the working copy of the uploaded file is set to read-only. As a result, subsequent actions on the file will fail with an error. It might also be possible to set the Servlet container's temp directory to read only, such that subsequent upload actions will fail.

Reference:
https://cwiki.apache.org/confluence/display/WW/S2-060

Comment 1 Dhananjay Arunesh 2020-08-27 10:39:37 UTC
*** Bug 1872550 has been marked as a duplicate of this bug. ***

Comment 2 Product Security DevOps Team 2020-09-02 13:17:54 UTC
This bug is now closed. Further updates for individual products will be reflected on the CVE page(s):

https://access.redhat.com/security/cve/cve-2019-0233


Note You need to log in before you can comment on or make changes to this bug.